package com.mortals.xhx.module.appointment.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.appointment.model.AppointmentConfigEntity;
/**
* 预约自动签到配置查询对象
*
* @author zxfei
* @date 2023-04-09
*/
public class AppointmentConfigQuery extends AppointmentConfigEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 是否启用该服务(0.否,1.是) */
    private Integer usedStart;

    /** 结束 是否启用该服务(0.否,1.是) */
    private Integer usedEnd;

    /** 增加 是否启用该服务(0.否,1.是) */
    private Integer usedIncrement;

    /** 是否启用该服务(0.否,1.是)列表 */
    private List <Integer> usedList;

    /** 是否启用该服务(0.否,1.是)排除列表 */
    private List <Integer> usedNotList;

    /** 开始 周一是否监测(0.否,1.是) */
    private Integer mondayStart;

    /** 结束 周一是否监测(0.否,1.是) */
    private Integer mondayEnd;

    /** 增加 周一是否监测(0.否,1.是) */
    private Integer mondayIncrement;

    /** 周一是否监测(0.否,1.是)列表 */
    private List <Integer> mondayList;

    /** 周一是否监测(0.否,1.是)排除列表 */
    private List <Integer> mondayNotList;

    /** 开始 周二是否监测(0.否,1.是) */
    private Integer tuesdayStart;

    /** 结束 周二是否监测(0.否,1.是) */
    private Integer tuesdayEnd;

    /** 增加 周二是否监测(0.否,1.是) */
    private Integer tuesdayIncrement;

    /** 周二是否监测(0.否,1.是)列表 */
    private List <Integer> tuesdayList;

    /** 周二是否监测(0.否,1.是)排除列表 */
    private List <Integer> tuesdayNotList;

    /** 开始 周三是否监测(0.否,1.是) */
    private Integer wednesdayStart;

    /** 结束 周三是否监测(0.否,1.是) */
    private Integer wednesdayEnd;

    /** 增加 周三是否监测(0.否,1.是) */
    private Integer wednesdayIncrement;

    /** 周三是否监测(0.否,1.是)列表 */
    private List <Integer> wednesdayList;

    /** 周三是否监测(0.否,1.是)排除列表 */
    private List <Integer> wednesdayNotList;

    /** 开始 周四是否监测(0.否,1.是) */
    private Integer thursdayStart;

    /** 结束 周四是否监测(0.否,1.是) */
    private Integer thursdayEnd;

    /** 增加 周四是否监测(0.否,1.是) */
    private Integer thursdayIncrement;

    /** 周四是否监测(0.否,1.是)列表 */
    private List <Integer> thursdayList;

    /** 周四是否监测(0.否,1.是)排除列表 */
    private List <Integer> thursdayNotList;

    /** 开始 周五是否监测(0.否,1.是) */
    private Integer fridayStart;

    /** 结束 周五是否监测(0.否,1.是) */
    private Integer fridayEnd;

    /** 增加 周五是否监测(0.否,1.是) */
    private Integer fridayIncrement;

    /** 周五是否监测(0.否,1.是)列表 */
    private List <Integer> fridayList;

    /** 周五是否监测(0.否,1.是)排除列表 */
    private List <Integer> fridayNotList;

    /** 开始 周六是否监测(0.否,1.是) */
    private Integer saturdayStart;

    /** 结束 周六是否监测(0.否,1.是) */
    private Integer saturdayEnd;

    /** 增加 周六是否监测(0.否,1.是) */
    private Integer saturdayIncrement;

    /** 周六是否监测(0.否,1.是)列表 */
    private List <Integer> saturdayList;

    /** 周六是否监测(0.否,1.是)排除列表 */
    private List <Integer> saturdayNotList;

    /** 开始 周日是否监测(0.否,1.是) */
    private Integer sundayStart;

    /** 结束 周日是否监测(0.否,1.是) */
    private Integer sundayEnd;

    /** 增加 周日是否监测(0.否,1.是) */
    private Integer sundayIncrement;

    /** 周日是否监测(0.否,1.是)列表 */
    private List <Integer> sundayList;

    /** 周日是否监测(0.否,1.是)排除列表 */
    private List <Integer> sundayNotList;

    /** 开始 单日服务最大人数设置 */
    private Integer maxServicePersonNumStart;

    /** 结束 单日服务最大人数设置 */
    private Integer maxServicePersonNumEnd;

    /** 增加 单日服务最大人数设置 */
    private Integer maxServicePersonNumIncrement;

    /** 单日服务最大人数设置列表 */
    private List <Integer> maxServicePersonNumList;

    /** 单日服务最大人数设置排除列表 */
    private List <Integer> maxServicePersonNumNotList;

    /** 开始 累计服务频次预警 */
    private Integer alertServiceNumStart;

    /** 结束 累计服务频次预警 */
    private Integer alertServiceNumEnd;

    /** 增加 累计服务频次预警 */
    private Integer alertServiceNumIncrement;

    /** 累计服务频次预警列表 */
    private List <Integer> alertServiceNumList;

    /** 累计服务频次预警排除列表 */
    private List <Integer> alertServiceNumNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppointmentConfigQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppointmentConfigQuery> andConditionList;

    public AppointmentConfigQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 是否启用该服务(0.否,1.是)
    * @return usedStart
    */
    public Integer getUsedStart(){
        return this.usedStart;
    }

    /**
    * 设置 开始 是否启用该服务(0.否,1.是)
    * @param usedStart
    */
    public void setUsedStart(Integer usedStart){
        this.usedStart = usedStart;
    }

    /**
    * 获取 结束 是否启用该服务(0.否,1.是)
    * @return $usedEnd
    */
    public Integer getUsedEnd(){
        return this.usedEnd;
    }

    /**
    * 设置 结束 是否启用该服务(0.否,1.是)
    * @param usedEnd
    */
    public void setUsedEnd(Integer usedEnd){
        this.usedEnd = usedEnd;
    }

    /**
    * 获取 增加 是否启用该服务(0.否,1.是)
    * @return usedIncrement
    */
    public Integer getUsedIncrement(){
        return this.usedIncrement;
    }

    /**
    * 设置 增加 是否启用该服务(0.否,1.是)
    * @param usedIncrement
    */
    public void setUsedIncrement(Integer usedIncrement){
        this.usedIncrement = usedIncrement;
    }

    /**
    * 获取 是否启用该服务(0.否,1.是)
    * @return usedList
    */
    public List<Integer> getUsedList(){
        return this.usedList;
    }

    /**
    * 设置 是否启用该服务(0.否,1.是)
    * @param usedList
    */
    public void setUsedList(List<Integer> usedList){
        this.usedList = usedList;
    }

    /**
    * 获取 是否启用该服务(0.否,1.是)
    * @return usedNotList
    */
    public List<Integer> getUsedNotList(){
        return this.usedNotList;
    }

    /**
    * 设置 是否启用该服务(0.否,1.是)
    * @param usedNotList
    */
    public void setUsedNotList(List<Integer> usedNotList){
        this.usedNotList = usedNotList;
    }


    /**
    * 获取 开始 周一是否监测(0.否,1.是)
    * @return mondayStart
    */
    public Integer getMondayStart(){
        return this.mondayStart;
    }

    /**
    * 设置 开始 周一是否监测(0.否,1.是)
    * @param mondayStart
    */
    public void setMondayStart(Integer mondayStart){
        this.mondayStart = mondayStart;
    }

    /**
    * 获取 结束 周一是否监测(0.否,1.是)
    * @return $mondayEnd
    */
    public Integer getMondayEnd(){
        return this.mondayEnd;
    }

    /**
    * 设置 结束 周一是否监测(0.否,1.是)
    * @param mondayEnd
    */
    public void setMondayEnd(Integer mondayEnd){
        this.mondayEnd = mondayEnd;
    }

    /**
    * 获取 增加 周一是否监测(0.否,1.是)
    * @return mondayIncrement
    */
    public Integer getMondayIncrement(){
        return this.mondayIncrement;
    }

    /**
    * 设置 增加 周一是否监测(0.否,1.是)
    * @param mondayIncrement
    */
    public void setMondayIncrement(Integer mondayIncrement){
        this.mondayIncrement = mondayIncrement;
    }

    /**
    * 获取 周一是否监测(0.否,1.是)
    * @return mondayList
    */
    public List<Integer> getMondayList(){
        return this.mondayList;
    }

    /**
    * 设置 周一是否监测(0.否,1.是)
    * @param mondayList
    */
    public void setMondayList(List<Integer> mondayList){
        this.mondayList = mondayList;
    }

    /**
    * 获取 周一是否监测(0.否,1.是)
    * @return mondayNotList
    */
    public List<Integer> getMondayNotList(){
        return this.mondayNotList;
    }

    /**
    * 设置 周一是否监测(0.否,1.是)
    * @param mondayNotList
    */
    public void setMondayNotList(List<Integer> mondayNotList){
        this.mondayNotList = mondayNotList;
    }


    /**
    * 获取 开始 周二是否监测(0.否,1.是)
    * @return tuesdayStart
    */
    public Integer getTuesdayStart(){
        return this.tuesdayStart;
    }

    /**
    * 设置 开始 周二是否监测(0.否,1.是)
    * @param tuesdayStart
    */
    public void setTuesdayStart(Integer tuesdayStart){
        this.tuesdayStart = tuesdayStart;
    }

    /**
    * 获取 结束 周二是否监测(0.否,1.是)
    * @return $tuesdayEnd
    */
    public Integer getTuesdayEnd(){
        return this.tuesdayEnd;
    }

    /**
    * 设置 结束 周二是否监测(0.否,1.是)
    * @param tuesdayEnd
    */
    public void setTuesdayEnd(Integer tuesdayEnd){
        this.tuesdayEnd = tuesdayEnd;
    }

    /**
    * 获取 增加 周二是否监测(0.否,1.是)
    * @return tuesdayIncrement
    */
    public Integer getTuesdayIncrement(){
        return this.tuesdayIncrement;
    }

    /**
    * 设置 增加 周二是否监测(0.否,1.是)
    * @param tuesdayIncrement
    */
    public void setTuesdayIncrement(Integer tuesdayIncrement){
        this.tuesdayIncrement = tuesdayIncrement;
    }

    /**
    * 获取 周二是否监测(0.否,1.是)
    * @return tuesdayList
    */
    public List<Integer> getTuesdayList(){
        return this.tuesdayList;
    }

    /**
    * 设置 周二是否监测(0.否,1.是)
    * @param tuesdayList
    */
    public void setTuesdayList(List<Integer> tuesdayList){
        this.tuesdayList = tuesdayList;
    }

    /**
    * 获取 周二是否监测(0.否,1.是)
    * @return tuesdayNotList
    */
    public List<Integer> getTuesdayNotList(){
        return this.tuesdayNotList;
    }

    /**
    * 设置 周二是否监测(0.否,1.是)
    * @param tuesdayNotList
    */
    public void setTuesdayNotList(List<Integer> tuesdayNotList){
        this.tuesdayNotList = tuesdayNotList;
    }


    /**
    * 获取 开始 周三是否监测(0.否,1.是)
    * @return wednesdayStart
    */
    public Integer getWednesdayStart(){
        return this.wednesdayStart;
    }

    /**
    * 设置 开始 周三是否监测(0.否,1.是)
    * @param wednesdayStart
    */
    public void setWednesdayStart(Integer wednesdayStart){
        this.wednesdayStart = wednesdayStart;
    }

    /**
    * 获取 结束 周三是否监测(0.否,1.是)
    * @return $wednesdayEnd
    */
    public Integer getWednesdayEnd(){
        return this.wednesdayEnd;
    }

    /**
    * 设置 结束 周三是否监测(0.否,1.是)
    * @param wednesdayEnd
    */
    public void setWednesdayEnd(Integer wednesdayEnd){
        this.wednesdayEnd = wednesdayEnd;
    }

    /**
    * 获取 增加 周三是否监测(0.否,1.是)
    * @return wednesdayIncrement
    */
    public Integer getWednesdayIncrement(){
        return this.wednesdayIncrement;
    }

    /**
    * 设置 增加 周三是否监测(0.否,1.是)
    * @param wednesdayIncrement
    */
    public void setWednesdayIncrement(Integer wednesdayIncrement){
        this.wednesdayIncrement = wednesdayIncrement;
    }

    /**
    * 获取 周三是否监测(0.否,1.是)
    * @return wednesdayList
    */
    public List<Integer> getWednesdayList(){
        return this.wednesdayList;
    }

    /**
    * 设置 周三是否监测(0.否,1.是)
    * @param wednesdayList
    */
    public void setWednesdayList(List<Integer> wednesdayList){
        this.wednesdayList = wednesdayList;
    }

    /**
    * 获取 周三是否监测(0.否,1.是)
    * @return wednesdayNotList
    */
    public List<Integer> getWednesdayNotList(){
        return this.wednesdayNotList;
    }

    /**
    * 设置 周三是否监测(0.否,1.是)
    * @param wednesdayNotList
    */
    public void setWednesdayNotList(List<Integer> wednesdayNotList){
        this.wednesdayNotList = wednesdayNotList;
    }


    /**
    * 获取 开始 周四是否监测(0.否,1.是)
    * @return thursdayStart
    */
    public Integer getThursdayStart(){
        return this.thursdayStart;
    }

    /**
    * 设置 开始 周四是否监测(0.否,1.是)
    * @param thursdayStart
    */
    public void setThursdayStart(Integer thursdayStart){
        this.thursdayStart = thursdayStart;
    }

    /**
    * 获取 结束 周四是否监测(0.否,1.是)
    * @return $thursdayEnd
    */
    public Integer getThursdayEnd(){
        return this.thursdayEnd;
    }

    /**
    * 设置 结束 周四是否监测(0.否,1.是)
    * @param thursdayEnd
    */
    public void setThursdayEnd(Integer thursdayEnd){
        this.thursdayEnd = thursdayEnd;
    }

    /**
    * 获取 增加 周四是否监测(0.否,1.是)
    * @return thursdayIncrement
    */
    public Integer getThursdayIncrement(){
        return this.thursdayIncrement;
    }

    /**
    * 设置 增加 周四是否监测(0.否,1.是)
    * @param thursdayIncrement
    */
    public void setThursdayIncrement(Integer thursdayIncrement){
        this.thursdayIncrement = thursdayIncrement;
    }

    /**
    * 获取 周四是否监测(0.否,1.是)
    * @return thursdayList
    */
    public List<Integer> getThursdayList(){
        return this.thursdayList;
    }

    /**
    * 设置 周四是否监测(0.否,1.是)
    * @param thursdayList
    */
    public void setThursdayList(List<Integer> thursdayList){
        this.thursdayList = thursdayList;
    }

    /**
    * 获取 周四是否监测(0.否,1.是)
    * @return thursdayNotList
    */
    public List<Integer> getThursdayNotList(){
        return this.thursdayNotList;
    }

    /**
    * 设置 周四是否监测(0.否,1.是)
    * @param thursdayNotList
    */
    public void setThursdayNotList(List<Integer> thursdayNotList){
        this.thursdayNotList = thursdayNotList;
    }


    /**
    * 获取 开始 周五是否监测(0.否,1.是)
    * @return fridayStart
    */
    public Integer getFridayStart(){
        return this.fridayStart;
    }

    /**
    * 设置 开始 周五是否监测(0.否,1.是)
    * @param fridayStart
    */
    public void setFridayStart(Integer fridayStart){
        this.fridayStart = fridayStart;
    }

    /**
    * 获取 结束 周五是否监测(0.否,1.是)
    * @return $fridayEnd
    */
    public Integer getFridayEnd(){
        return this.fridayEnd;
    }

    /**
    * 设置 结束 周五是否监测(0.否,1.是)
    * @param fridayEnd
    */
    public void setFridayEnd(Integer fridayEnd){
        this.fridayEnd = fridayEnd;
    }

    /**
    * 获取 增加 周五是否监测(0.否,1.是)
    * @return fridayIncrement
    */
    public Integer getFridayIncrement(){
        return this.fridayIncrement;
    }

    /**
    * 设置 增加 周五是否监测(0.否,1.是)
    * @param fridayIncrement
    */
    public void setFridayIncrement(Integer fridayIncrement){
        this.fridayIncrement = fridayIncrement;
    }

    /**
    * 获取 周五是否监测(0.否,1.是)
    * @return fridayList
    */
    public List<Integer> getFridayList(){
        return this.fridayList;
    }

    /**
    * 设置 周五是否监测(0.否,1.是)
    * @param fridayList
    */
    public void setFridayList(List<Integer> fridayList){
        this.fridayList = fridayList;
    }

    /**
    * 获取 周五是否监测(0.否,1.是)
    * @return fridayNotList
    */
    public List<Integer> getFridayNotList(){
        return this.fridayNotList;
    }

    /**
    * 设置 周五是否监测(0.否,1.是)
    * @param fridayNotList
    */
    public void setFridayNotList(List<Integer> fridayNotList){
        this.fridayNotList = fridayNotList;
    }


    /**
    * 获取 开始 周六是否监测(0.否,1.是)
    * @return saturdayStart
    */
    public Integer getSaturdayStart(){
        return this.saturdayStart;
    }

    /**
    * 设置 开始 周六是否监测(0.否,1.是)
    * @param saturdayStart
    */
    public void setSaturdayStart(Integer saturdayStart){
        this.saturdayStart = saturdayStart;
    }

    /**
    * 获取 结束 周六是否监测(0.否,1.是)
    * @return $saturdayEnd
    */
    public Integer getSaturdayEnd(){
        return this.saturdayEnd;
    }

    /**
    * 设置 结束 周六是否监测(0.否,1.是)
    * @param saturdayEnd
    */
    public void setSaturdayEnd(Integer saturdayEnd){
        this.saturdayEnd = saturdayEnd;
    }

    /**
    * 获取 增加 周六是否监测(0.否,1.是)
    * @return saturdayIncrement
    */
    public Integer getSaturdayIncrement(){
        return this.saturdayIncrement;
    }

    /**
    * 设置 增加 周六是否监测(0.否,1.是)
    * @param saturdayIncrement
    */
    public void setSaturdayIncrement(Integer saturdayIncrement){
        this.saturdayIncrement = saturdayIncrement;
    }

    /**
    * 获取 周六是否监测(0.否,1.是)
    * @return saturdayList
    */
    public List<Integer> getSaturdayList(){
        return this.saturdayList;
    }

    /**
    * 设置 周六是否监测(0.否,1.是)
    * @param saturdayList
    */
    public void setSaturdayList(List<Integer> saturdayList){
        this.saturdayList = saturdayList;
    }

    /**
    * 获取 周六是否监测(0.否,1.是)
    * @return saturdayNotList
    */
    public List<Integer> getSaturdayNotList(){
        return this.saturdayNotList;
    }

    /**
    * 设置 周六是否监测(0.否,1.是)
    * @param saturdayNotList
    */
    public void setSaturdayNotList(List<Integer> saturdayNotList){
        this.saturdayNotList = saturdayNotList;
    }


    /**
    * 获取 开始 周日是否监测(0.否,1.是)
    * @return sundayStart
    */
    public Integer getSundayStart(){
        return this.sundayStart;
    }

    /**
    * 设置 开始 周日是否监测(0.否,1.是)
    * @param sundayStart
    */
    public void setSundayStart(Integer sundayStart){
        this.sundayStart = sundayStart;
    }

    /**
    * 获取 结束 周日是否监测(0.否,1.是)
    * @return $sundayEnd
    */
    public Integer getSundayEnd(){
        return this.sundayEnd;
    }

    /**
    * 设置 结束 周日是否监测(0.否,1.是)
    * @param sundayEnd
    */
    public void setSundayEnd(Integer sundayEnd){
        this.sundayEnd = sundayEnd;
    }

    /**
    * 获取 增加 周日是否监测(0.否,1.是)
    * @return sundayIncrement
    */
    public Integer getSundayIncrement(){
        return this.sundayIncrement;
    }

    /**
    * 设置 增加 周日是否监测(0.否,1.是)
    * @param sundayIncrement
    */
    public void setSundayIncrement(Integer sundayIncrement){
        this.sundayIncrement = sundayIncrement;
    }

    /**
    * 获取 周日是否监测(0.否,1.是)
    * @return sundayList
    */
    public List<Integer> getSundayList(){
        return this.sundayList;
    }

    /**
    * 设置 周日是否监测(0.否,1.是)
    * @param sundayList
    */
    public void setSundayList(List<Integer> sundayList){
        this.sundayList = sundayList;
    }

    /**
    * 获取 周日是否监测(0.否,1.是)
    * @return sundayNotList
    */
    public List<Integer> getSundayNotList(){
        return this.sundayNotList;
    }

    /**
    * 设置 周日是否监测(0.否,1.是)
    * @param sundayNotList
    */
    public void setSundayNotList(List<Integer> sundayNotList){
        this.sundayNotList = sundayNotList;
    }


    /**
    * 获取 开始 单日服务最大人数设置
    * @return maxServicePersonNumStart
    */
    public Integer getMaxServicePersonNumStart(){
        return this.maxServicePersonNumStart;
    }

    /**
    * 设置 开始 单日服务最大人数设置
    * @param maxServicePersonNumStart
    */
    public void setMaxServicePersonNumStart(Integer maxServicePersonNumStart){
        this.maxServicePersonNumStart = maxServicePersonNumStart;
    }

    /**
    * 获取 结束 单日服务最大人数设置
    * @return $maxServicePersonNumEnd
    */
    public Integer getMaxServicePersonNumEnd(){
        return this.maxServicePersonNumEnd;
    }

    /**
    * 设置 结束 单日服务最大人数设置
    * @param maxServicePersonNumEnd
    */
    public void setMaxServicePersonNumEnd(Integer maxServicePersonNumEnd){
        this.maxServicePersonNumEnd = maxServicePersonNumEnd;
    }

    /**
    * 获取 增加 单日服务最大人数设置
    * @return maxServicePersonNumIncrement
    */
    public Integer getMaxServicePersonNumIncrement(){
        return this.maxServicePersonNumIncrement;
    }

    /**
    * 设置 增加 单日服务最大人数设置
    * @param maxServicePersonNumIncrement
    */
    public void setMaxServicePersonNumIncrement(Integer maxServicePersonNumIncrement){
        this.maxServicePersonNumIncrement = maxServicePersonNumIncrement;
    }

    /**
    * 获取 单日服务最大人数设置
    * @return maxServicePersonNumList
    */
    public List<Integer> getMaxServicePersonNumList(){
        return this.maxServicePersonNumList;
    }

    /**
    * 设置 单日服务最大人数设置
    * @param maxServicePersonNumList
    */
    public void setMaxServicePersonNumList(List<Integer> maxServicePersonNumList){
        this.maxServicePersonNumList = maxServicePersonNumList;
    }

    /**
    * 获取 单日服务最大人数设置
    * @return maxServicePersonNumNotList
    */
    public List<Integer> getMaxServicePersonNumNotList(){
        return this.maxServicePersonNumNotList;
    }

    /**
    * 设置 单日服务最大人数设置
    * @param maxServicePersonNumNotList
    */
    public void setMaxServicePersonNumNotList(List<Integer> maxServicePersonNumNotList){
        this.maxServicePersonNumNotList = maxServicePersonNumNotList;
    }


    /**
    * 获取 开始 累计服务频次预警
    * @return alertServiceNumStart
    */
    public Integer getAlertServiceNumStart(){
        return this.alertServiceNumStart;
    }

    /**
    * 设置 开始 累计服务频次预警
    * @param alertServiceNumStart
    */
    public void setAlertServiceNumStart(Integer alertServiceNumStart){
        this.alertServiceNumStart = alertServiceNumStart;
    }

    /**
    * 获取 结束 累计服务频次预警
    * @return $alertServiceNumEnd
    */
    public Integer getAlertServiceNumEnd(){
        return this.alertServiceNumEnd;
    }

    /**
    * 设置 结束 累计服务频次预警
    * @param alertServiceNumEnd
    */
    public void setAlertServiceNumEnd(Integer alertServiceNumEnd){
        this.alertServiceNumEnd = alertServiceNumEnd;
    }

    /**
    * 获取 增加 累计服务频次预警
    * @return alertServiceNumIncrement
    */
    public Integer getAlertServiceNumIncrement(){
        return this.alertServiceNumIncrement;
    }

    /**
    * 设置 增加 累计服务频次预警
    * @param alertServiceNumIncrement
    */
    public void setAlertServiceNumIncrement(Integer alertServiceNumIncrement){
        this.alertServiceNumIncrement = alertServiceNumIncrement;
    }

    /**
    * 获取 累计服务频次预警
    * @return alertServiceNumList
    */
    public List<Integer> getAlertServiceNumList(){
        return this.alertServiceNumList;
    }

    /**
    * 设置 累计服务频次预警
    * @param alertServiceNumList
    */
    public void setAlertServiceNumList(List<Integer> alertServiceNumList){
        this.alertServiceNumList = alertServiceNumList;
    }

    /**
    * 获取 累计服务频次预警
    * @return alertServiceNumNotList
    */
    public List<Integer> getAlertServiceNumNotList(){
        return this.alertServiceNumNotList;
    }

    /**
    * 设置 累计服务频次预警
    * @param alertServiceNumNotList
    */
    public void setAlertServiceNumNotList(List<Integer> alertServiceNumNotList){
        this.alertServiceNumNotList = alertServiceNumNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AppointmentConfigQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AppointmentConfigQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AppointmentConfigQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AppointmentConfigQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AppointmentConfigQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AppointmentConfigQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public AppointmentConfigQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public AppointmentConfigQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public AppointmentConfigQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public AppointmentConfigQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public AppointmentConfigQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public AppointmentConfigQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public AppointmentConfigQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public AppointmentConfigQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  是否启用该服务(0.否,1.是)
    * @param used
    */
    public AppointmentConfigQuery used(Integer used){
	    setUsed(used);
		return this;
    }
	
	 /**
    * 设置 开始 是否启用该服务(0.否,1.是)
    * @param usedStart
    */
    public AppointmentConfigQuery usedStart(Integer usedStart){
		this.usedStart = usedStart;
		return this;
    }

    /**
    * 设置 结束 是否启用该服务(0.否,1.是)
    * @param usedEnd
    */
    public AppointmentConfigQuery usedEnd(Integer usedEnd){
		this.usedEnd = usedEnd;
		return this;
    }

    /**
    * 设置 增加 是否启用该服务(0.否,1.是)
    * @param usedIncrement
    */
    public AppointmentConfigQuery usedIncrement(Integer usedIncrement){
		this.usedIncrement = usedIncrement;
		return this;
    }

    /**
    * 设置 是否启用该服务(0.否,1.是)
    * @param usedList
    */
    public AppointmentConfigQuery usedList(List<Integer> usedList){
        this.usedList = usedList;
		return this;
        }

        /**
        * 设置 是否启用该服务(0.否,1.是)
        * @param usedNotList
        */
        public AppointmentConfigQuery usedNotList(List<Integer> usedNotList){
        this.usedNotList = usedNotList;
        return this;
        }

    /**
    * 设置  周一是否监测(0.否,1.是)
    * @param monday
    */
    public AppointmentConfigQuery monday(Integer monday){
	    setMonday(monday);
		return this;
    }
	
	 /**
    * 设置 开始 周一是否监测(0.否,1.是)
    * @param mondayStart
    */
    public AppointmentConfigQuery mondayStart(Integer mondayStart){
		this.mondayStart = mondayStart;
		return this;
    }

    /**
    * 设置 结束 周一是否监测(0.否,1.是)
    * @param mondayEnd
    */
    public AppointmentConfigQuery mondayEnd(Integer mondayEnd){
		this.mondayEnd = mondayEnd;
		return this;
    }

    /**
    * 设置 增加 周一是否监测(0.否,1.是)
    * @param mondayIncrement
    */
    public AppointmentConfigQuery mondayIncrement(Integer mondayIncrement){
		this.mondayIncrement = mondayIncrement;
		return this;
    }

    /**
    * 设置 周一是否监测(0.否,1.是)
    * @param mondayList
    */
    public AppointmentConfigQuery mondayList(List<Integer> mondayList){
        this.mondayList = mondayList;
		return this;
        }

        /**
        * 设置 周一是否监测(0.否,1.是)
        * @param mondayNotList
        */
        public AppointmentConfigQuery mondayNotList(List<Integer> mondayNotList){
        this.mondayNotList = mondayNotList;
        return this;
        }

    /**
    * 设置  周二是否监测(0.否,1.是)
    * @param tuesday
    */
    public AppointmentConfigQuery tuesday(Integer tuesday){
	    setTuesday(tuesday);
		return this;
    }
	
	 /**
    * 设置 开始 周二是否监测(0.否,1.是)
    * @param tuesdayStart
    */
    public AppointmentConfigQuery tuesdayStart(Integer tuesdayStart){
		this.tuesdayStart = tuesdayStart;
		return this;
    }

    /**
    * 设置 结束 周二是否监测(0.否,1.是)
    * @param tuesdayEnd
    */
    public AppointmentConfigQuery tuesdayEnd(Integer tuesdayEnd){
		this.tuesdayEnd = tuesdayEnd;
		return this;
    }

    /**
    * 设置 增加 周二是否监测(0.否,1.是)
    * @param tuesdayIncrement
    */
    public AppointmentConfigQuery tuesdayIncrement(Integer tuesdayIncrement){
		this.tuesdayIncrement = tuesdayIncrement;
		return this;
    }

    /**
    * 设置 周二是否监测(0.否,1.是)
    * @param tuesdayList
    */
    public AppointmentConfigQuery tuesdayList(List<Integer> tuesdayList){
        this.tuesdayList = tuesdayList;
		return this;
        }

        /**
        * 设置 周二是否监测(0.否,1.是)
        * @param tuesdayNotList
        */
        public AppointmentConfigQuery tuesdayNotList(List<Integer> tuesdayNotList){
        this.tuesdayNotList = tuesdayNotList;
        return this;
        }

    /**
    * 设置  周三是否监测(0.否,1.是)
    * @param wednesday
    */
    public AppointmentConfigQuery wednesday(Integer wednesday){
	    setWednesday(wednesday);
		return this;
    }
	
	 /**
    * 设置 开始 周三是否监测(0.否,1.是)
    * @param wednesdayStart
    */
    public AppointmentConfigQuery wednesdayStart(Integer wednesdayStart){
		this.wednesdayStart = wednesdayStart;
		return this;
    }

    /**
    * 设置 结束 周三是否监测(0.否,1.是)
    * @param wednesdayEnd
    */
    public AppointmentConfigQuery wednesdayEnd(Integer wednesdayEnd){
		this.wednesdayEnd = wednesdayEnd;
		return this;
    }

    /**
    * 设置 增加 周三是否监测(0.否,1.是)
    * @param wednesdayIncrement
    */
    public AppointmentConfigQuery wednesdayIncrement(Integer wednesdayIncrement){
		this.wednesdayIncrement = wednesdayIncrement;
		return this;
    }

    /**
    * 设置 周三是否监测(0.否,1.是)
    * @param wednesdayList
    */
    public AppointmentConfigQuery wednesdayList(List<Integer> wednesdayList){
        this.wednesdayList = wednesdayList;
		return this;
        }

        /**
        * 设置 周三是否监测(0.否,1.是)
        * @param wednesdayNotList
        */
        public AppointmentConfigQuery wednesdayNotList(List<Integer> wednesdayNotList){
        this.wednesdayNotList = wednesdayNotList;
        return this;
        }

    /**
    * 设置  周四是否监测(0.否,1.是)
    * @param thursday
    */
    public AppointmentConfigQuery thursday(Integer thursday){
	    setThursday(thursday);
		return this;
    }
	
	 /**
    * 设置 开始 周四是否监测(0.否,1.是)
    * @param thursdayStart
    */
    public AppointmentConfigQuery thursdayStart(Integer thursdayStart){
		this.thursdayStart = thursdayStart;
		return this;
    }

    /**
    * 设置 结束 周四是否监测(0.否,1.是)
    * @param thursdayEnd
    */
    public AppointmentConfigQuery thursdayEnd(Integer thursdayEnd){
		this.thursdayEnd = thursdayEnd;
		return this;
    }

    /**
    * 设置 增加 周四是否监测(0.否,1.是)
    * @param thursdayIncrement
    */
    public AppointmentConfigQuery thursdayIncrement(Integer thursdayIncrement){
		this.thursdayIncrement = thursdayIncrement;
		return this;
    }

    /**
    * 设置 周四是否监测(0.否,1.是)
    * @param thursdayList
    */
    public AppointmentConfigQuery thursdayList(List<Integer> thursdayList){
        this.thursdayList = thursdayList;
		return this;
        }

        /**
        * 设置 周四是否监测(0.否,1.是)
        * @param thursdayNotList
        */
        public AppointmentConfigQuery thursdayNotList(List<Integer> thursdayNotList){
        this.thursdayNotList = thursdayNotList;
        return this;
        }

    /**
    * 设置  周五是否监测(0.否,1.是)
    * @param friday
    */
    public AppointmentConfigQuery friday(Integer friday){
	    setFriday(friday);
		return this;
    }
	
	 /**
    * 设置 开始 周五是否监测(0.否,1.是)
    * @param fridayStart
    */
    public AppointmentConfigQuery fridayStart(Integer fridayStart){
		this.fridayStart = fridayStart;
		return this;
    }

    /**
    * 设置 结束 周五是否监测(0.否,1.是)
    * @param fridayEnd
    */
    public AppointmentConfigQuery fridayEnd(Integer fridayEnd){
		this.fridayEnd = fridayEnd;
		return this;
    }

    /**
    * 设置 增加 周五是否监测(0.否,1.是)
    * @param fridayIncrement
    */
    public AppointmentConfigQuery fridayIncrement(Integer fridayIncrement){
		this.fridayIncrement = fridayIncrement;
		return this;
    }

    /**
    * 设置 周五是否监测(0.否,1.是)
    * @param fridayList
    */
    public AppointmentConfigQuery fridayList(List<Integer> fridayList){
        this.fridayList = fridayList;
		return this;
        }

        /**
        * 设置 周五是否监测(0.否,1.是)
        * @param fridayNotList
        */
        public AppointmentConfigQuery fridayNotList(List<Integer> fridayNotList){
        this.fridayNotList = fridayNotList;
        return this;
        }

    /**
    * 设置  周六是否监测(0.否,1.是)
    * @param saturday
    */
    public AppointmentConfigQuery saturday(Integer saturday){
	    setSaturday(saturday);
		return this;
    }
	
	 /**
    * 设置 开始 周六是否监测(0.否,1.是)
    * @param saturdayStart
    */
    public AppointmentConfigQuery saturdayStart(Integer saturdayStart){
		this.saturdayStart = saturdayStart;
		return this;
    }

    /**
    * 设置 结束 周六是否监测(0.否,1.是)
    * @param saturdayEnd
    */
    public AppointmentConfigQuery saturdayEnd(Integer saturdayEnd){
		this.saturdayEnd = saturdayEnd;
		return this;
    }

    /**
    * 设置 增加 周六是否监测(0.否,1.是)
    * @param saturdayIncrement
    */
    public AppointmentConfigQuery saturdayIncrement(Integer saturdayIncrement){
		this.saturdayIncrement = saturdayIncrement;
		return this;
    }

    /**
    * 设置 周六是否监测(0.否,1.是)
    * @param saturdayList
    */
    public AppointmentConfigQuery saturdayList(List<Integer> saturdayList){
        this.saturdayList = saturdayList;
		return this;
        }

        /**
        * 设置 周六是否监测(0.否,1.是)
        * @param saturdayNotList
        */
        public AppointmentConfigQuery saturdayNotList(List<Integer> saturdayNotList){
        this.saturdayNotList = saturdayNotList;
        return this;
        }

    /**
    * 设置  周日是否监测(0.否,1.是)
    * @param sunday
    */
    public AppointmentConfigQuery sunday(Integer sunday){
	    setSunday(sunday);
		return this;
    }
	
	 /**
    * 设置 开始 周日是否监测(0.否,1.是)
    * @param sundayStart
    */
    public AppointmentConfigQuery sundayStart(Integer sundayStart){
		this.sundayStart = sundayStart;
		return this;
    }

    /**
    * 设置 结束 周日是否监测(0.否,1.是)
    * @param sundayEnd
    */
    public AppointmentConfigQuery sundayEnd(Integer sundayEnd){
		this.sundayEnd = sundayEnd;
		return this;
    }

    /**
    * 设置 增加 周日是否监测(0.否,1.是)
    * @param sundayIncrement
    */
    public AppointmentConfigQuery sundayIncrement(Integer sundayIncrement){
		this.sundayIncrement = sundayIncrement;
		return this;
    }

    /**
    * 设置 周日是否监测(0.否,1.是)
    * @param sundayList
    */
    public AppointmentConfigQuery sundayList(List<Integer> sundayList){
        this.sundayList = sundayList;
		return this;
        }

        /**
        * 设置 周日是否监测(0.否,1.是)
        * @param sundayNotList
        */
        public AppointmentConfigQuery sundayNotList(List<Integer> sundayNotList){
        this.sundayNotList = sundayNotList;
        return this;
        }

    /**
    * 设置  单日服务最大人数设置
    * @param maxServicePersonNum
    */
    public AppointmentConfigQuery maxServicePersonNum(Integer maxServicePersonNum){
	    setMaxServicePersonNum(maxServicePersonNum);
		return this;
    }
	
	 /**
    * 设置 开始 单日服务最大人数设置
    * @param maxServicePersonNumStart
    */
    public AppointmentConfigQuery maxServicePersonNumStart(Integer maxServicePersonNumStart){
		this.maxServicePersonNumStart = maxServicePersonNumStart;
		return this;
    }

    /**
    * 设置 结束 单日服务最大人数设置
    * @param maxServicePersonNumEnd
    */
    public AppointmentConfigQuery maxServicePersonNumEnd(Integer maxServicePersonNumEnd){
		this.maxServicePersonNumEnd = maxServicePersonNumEnd;
		return this;
    }

    /**
    * 设置 增加 单日服务最大人数设置
    * @param maxServicePersonNumIncrement
    */
    public AppointmentConfigQuery maxServicePersonNumIncrement(Integer maxServicePersonNumIncrement){
		this.maxServicePersonNumIncrement = maxServicePersonNumIncrement;
		return this;
    }

    /**
    * 设置 单日服务最大人数设置
    * @param maxServicePersonNumList
    */
    public AppointmentConfigQuery maxServicePersonNumList(List<Integer> maxServicePersonNumList){
        this.maxServicePersonNumList = maxServicePersonNumList;
		return this;
        }

        /**
        * 设置 单日服务最大人数设置
        * @param maxServicePersonNumNotList
        */
        public AppointmentConfigQuery maxServicePersonNumNotList(List<Integer> maxServicePersonNumNotList){
        this.maxServicePersonNumNotList = maxServicePersonNumNotList;
        return this;
        }

    /**
    * 设置  累计服务频次预警
    * @param alertServiceNum
    */
    public AppointmentConfigQuery alertServiceNum(Integer alertServiceNum){
	    setAlertServiceNum(alertServiceNum);
		return this;
    }
	
	 /**
    * 设置 开始 累计服务频次预警
    * @param alertServiceNumStart
    */
    public AppointmentConfigQuery alertServiceNumStart(Integer alertServiceNumStart){
		this.alertServiceNumStart = alertServiceNumStart;
		return this;
    }

    /**
    * 设置 结束 累计服务频次预警
    * @param alertServiceNumEnd
    */
    public AppointmentConfigQuery alertServiceNumEnd(Integer alertServiceNumEnd){
		this.alertServiceNumEnd = alertServiceNumEnd;
		return this;
    }

    /**
    * 设置 增加 累计服务频次预警
    * @param alertServiceNumIncrement
    */
    public AppointmentConfigQuery alertServiceNumIncrement(Integer alertServiceNumIncrement){
		this.alertServiceNumIncrement = alertServiceNumIncrement;
		return this;
    }

    /**
    * 设置 累计服务频次预警
    * @param alertServiceNumList
    */
    public AppointmentConfigQuery alertServiceNumList(List<Integer> alertServiceNumList){
        this.alertServiceNumList = alertServiceNumList;
		return this;
        }

        /**
        * 设置 累计服务频次预警
        * @param alertServiceNumNotList
        */
        public AppointmentConfigQuery alertServiceNumNotList(List<Integer> alertServiceNumNotList){
        this.alertServiceNumNotList = alertServiceNumNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AppointmentConfigQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AppointmentConfigQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AppointmentConfigQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AppointmentConfigQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AppointmentConfigQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AppointmentConfigQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AppointmentConfigQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AppointmentConfigQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AppointmentConfigQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AppointmentConfigQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AppointmentConfigQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AppointmentConfigQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AppointmentConfigQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AppointmentConfigQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AppointmentConfigQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AppointmentConfigQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AppointmentConfigQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AppointmentConfigQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}